"use strict" ;

import MS_PER_DAY from "./MS_PER_DAY"

/**
 * Add days to a specific Date reference.
 * @param {Date} date - The date to transform.
 * @param {Number} days - The number of days to add to the specific date.
 * @return The new Date reference.
 * @name addDays
 * @memberof core.date
 * @function
 * @instance
 * @example
 * console.log( addDays( new Date(2014,10,2) , 25 ) ) ;
 */
const addDays = ( date , days ) => new Date( date.getTime() + days * MS_PER_DAY ) ;

export default addDays ;
