"use strict" ;

import MS_PER_HOUR from "./MS_PER_HOUR"

/**
 * Add hours to a specific Date reference.
 * @param {Date} date - The date to transform.
 * @param {Number} hours - The number of hours to add to the specific date.
 * @return The new Date reference.
 * @name addHours
 * @memberof core.date
 * @function
 * @instance
 * @example
 * console.log( addHours( new Date(2014,10,2) , 30 ) ) ;
 */
const addHours = ( date , hours ) => new Date( date.getTime() + hours * MS_PER_HOUR ) ;

export default addHours ;
