"use strict" ;

/**
 * Add milliseconds to a specific Date reference.
 * @param {Date} date - The date to transform.
 * @param {Number} ms - The number of milliseconds to add to the specific date.
 * @return The new Date reference.
 * @name addMS
 * @memberof core.date
 * @function
 * @instance
 * @example
 * console.log( addMS(new Date(2014,10,2), 30000) ) ;
 */
const addMS = ( date , ms ) => new Date( date.getTime() + ms ) ;

export default addMS ;
