"use strict" ;

import MS_PER_MINUTE from "./MS_PER_MINUTE"

/**
 * Add minutes to a specific Date reference.
 * @param {Date} date - The date to transform.
 * @param {Number} minutes - The number of minutes to add to the specific date.
 * @return The new Date reference.
 * @name addMinutes
 * @memberof core.date
 * @function
 * @instance
 * @example
 * console.log( addMinutes(new Date(2014,10,2), 30) ) ;
 */
const addMinutes = ( date , minutes ) => new Date( date.getTime() + minutes * MS_PER_MINUTE ) ;

export default addMinutes ;
