"use strict" ;

import ONE_DAY_MS       from './ONE_DAY_MS'
import MS_PER_400_YEARS from './MS_PER_400_YEARS'
import MS_PER_DAY       from './MS_PER_DAY'
import MS_PER_HOUR      from './MS_PER_HOUR'
import MS_PER_MINUTE    from './MS_PER_MINUTE'
import MS_PER_SECOND    from './MS_PER_SECOND'

import addDays         from './addDays'
import addHours        from './addHours'
import addMinutes      from './addMinutes'
import addMS           from './addMS'
import addSeconds      from './addSeconds'
import after           from './after'
import before          from './before'
import createDate      from './createDate'
import createUTCDate   from './createUTCDate'
import daysInMonth     from './daysInMonth'
import daysInYear      from './daysInYear'
import daysToMonths    from './daysToMonths'
import equals          from './equals'
import endOfMonth      from './endOfMonth'
import endOfYear       from './endOfYear'
import leapYear        from './leapYear'
import monthsToDays    from './monthsToDays'
import startOfMonth    from './startOfMonth'
import startOfYear     from './startOfYear'
import subtractDays    from './subtractDays'
import subtractHours   from './subtractHours'
import subtractMinutes from './subtractMinutes'
import subtractMS      from './subtractMS'
import subtractSeconds from './subtractSeconds'
import tomorrow        from './tomorrow'
import yesterday       from './yesterday'

/**
 * The {@link core.date} package is a modular <b>JavaScript</b> library that provides extra <code>Date</code> methods.
 * @summary The {@link core.date} package is a modular <b>JavaScript</b> library that provides extra <code>Date</code> methods.
 * @license {@link https://www.mozilla.org/en-US/MPL/2.0/|MPL 2.0} / {@link https://www.gnu.org/licenses/old-licenses/gpl-2.0.fr.html|GPL 2.0} / {@link https://www.gnu.org/licenses/old-licenses/lgpl-2.1.fr.html|LGPL 2.1}
 * @author Marc Alcaraz <ekameleon@gmail.com>
 * @namespace core.date
 * @memberof core
 */
const date =
{
    ONE_DAY_MS,
    MS_PER_400_YEARS,
    MS_PER_DAY,
    MS_PER_HOUR,
    MS_PER_MINUTE,
    MS_PER_SECOND,

    addDays,
    addHours,
    addMinutes,
    addMS,
    addSeconds,
    after,
    before,
    createUTCDate,
    daysInMonth,
    daysInYear,
    daysToMonths,
    createDate,
    equals,
    endOfMonth,
    endOfYear,
    leapYear,
    monthsToDays,
    startOfMonth,
    startOfYear,
    subtractDays,
    subtractHours,
    subtractMinutes,
    subtractMS,
    subtractSeconds,
    tomorrow,
    yesterday
} ;

export default date ;
