"use strict" ;

import MS_PER_HOUR from "./MS_PER_HOUR"

/**
 * Subtract hours to a specific Date reference.
 * @param {Date} date - The date to transform.
 * @param {Number} hours - The number of hours to remove to the specific date.
 * @return The new Date reference.
 * @name subtractHours
 * @memberof core.date
 * @function
 * @instance
 * @example
 * console.log( subtractHours( new Date(2014,10,2) , 30 ) ) ;
 */
const subtractHours = ( date , hours ) => new Date( date.getTime() - hours * MS_PER_HOUR ) ;

export default subtractHours ;
