"use strict" ;

/**
 * Subtract milliseconds to a specific Date reference.
 * @param {Date} date - The date to transform.
 * @param {Number} ms - The number of milliseconds to remove to the specific date.
 * @return The new Date reference.
 * @name subtractMS
 * @memberof core.date
 * @function
 * @instance
 * @example
 * console.log( subtractMS(new Date(2014,10,2), 30000) ) ;
 */
const subtractMS = ( date , ms ) => new Date( date.getTime() - ms ) ;

export default subtractMS ;
