"use strict" ;

import MS_PER_MINUTE from "./MS_PER_MINUTE"

/**
 * Remove minutes to a specific Date reference.
 * @param {Date} date - The date to transform.
 * @param {Number} minutes - The number of minutes to remove to the specific date.
 * @return The new Date reference.
 * @name subtractMinutes
 * @memberof core.date
 * @function
 * @instance
 * @example
 * console.log( subtractMinutes(new Date(2014,10,2), 30) ) ;
 */
const subtractMinutes = ( date , minutes ) => new Date( date.getTime() - minutes * MS_PER_MINUTE ) ;

export default subtractMinutes ;
