"use strict" ;

import MS_PER_SECOND from "./MS_PER_SECOND"

/**
 * Subtract seconds to a specific Date reference.
 * @param {Date} date - The date to transform.
 * @param {Number} seconds - The number of seconds to remove to the specific date.
 * @return The new Date reference.
 * @name subtractSeconds
 * @memberof core.date
 * @function
 * @instance
 * @example
 * console.log( subtractSeconds(new Date(2014,10,2), 30) ) ;
 */
const subtractSeconds = ( date , seconds ) => new Date( date.getTime() - seconds * MS_PER_SECOND ) ;

export default subtractSeconds ;
